View Issue Details

IDProjectCategoryView StatusLast Update
0005463SymmetricDSBugpublic2022-10-20 20:00
Reporterjosh-a-hicks Assigned Tojosh-a-hicks  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.14.0 
Target Version3.14.2Fixed in Version3.14.2 
Summary0005463: Initial load of a table with a self referencing FK will not load if out of order
DescriptionWhen a table has a self referencing FK the data must be selected out in order that will be sufficient to load the data in on the target to match the self referencing FK. This ordering logic was not being triggered because it should only fire when the initial load select is blank or the default 1=1 (always true condition). It was checking for blanks but not the always true condition. As a result the ordering never occurs when the condition came through as 1=1
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.14 59cacda6

2022-09-20 17:52:34

joshahicks

Details Diff
0005463: Initial load of a table with a self referencing FK will not
load if out of order
Affected Issues
0005463
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/extract/SelectFromTableSource.java Diff File

SymmetricDS: 3.14 12120805

2022-09-20 18:31:29

admin

Details Diff
0005463: fix blank and null case Affected Issues
0005463
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/extract/SelectFromTableSource.java Diff File

SymmetricDS: 3.14 9a7e98a9

2022-09-20 18:34:49

joshahicks

Details Diff
0005463: Initial load of a table with a self referencing FK will not
load if out of order
Affected Issues
0005463
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/extract/SelectFromTableSource.java Diff File

SymmetricDS: 3.14 5789e630

2022-10-20 19:37:25

evan-miller-jumpmind

Details Diff
0005463: Fixed NPE when initial load select SQL is null Affected Issues
0005463
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/extract/SelectFromTableSource.java Diff File

Issue History

Date Modified Username Field Change
2022-09-20 17:52 josh-a-hicks New Issue
2022-09-20 17:52 josh-a-hicks Status new => assigned
2022-09-20 17:52 josh-a-hicks Assigned To => josh-a-hicks
2022-09-20 18:00 Changeset attached => SymmetricDS 3.14 59cacda6
2022-09-20 19:00 Changeset attached => SymmetricDS 3.14 9a7e98a9
2022-09-20 19:00 admin Changeset attached => SymmetricDS 3.14 12120805
2022-09-21 16:39 josh-a-hicks Status assigned => resolved
2022-09-21 16:39 josh-a-hicks Resolution open => fixed
2022-09-21 16:39 josh-a-hicks Fixed in Version => 3.14.2
2022-10-04 15:15 admin Status resolved => closed
2022-10-20 20:00 Changeset attached => SymmetricDS 3.14 5789e630